
Redmine - Defect #16888

Search fails for issues with identical created_on timestamp

2014-05-14 17:47 - Benedikt Huss

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.1

Description

If you have many issues with an identical created_on timestamp (e.g. 2014-05-14 01:00:00 pm) and all ticket subjects contain the

same word (e.g. webservice), there's a bug in the search results.

Imagine there are 20 tickets with the word "webservice" in the subject and all tickets where created on 2014-05-14 01:00:00. Now

search for "webservice" in that project. You will see that (at least) 20 issues have been found, the first 14 are displayed. If you switch

to the second page, this page is empty, because the specified offset is based on the created_on value.

Related issues:

Is duplicate of Redmine - Defect #8815: Invalid search results with paging Closed 2011-07-14

History

#1 - 2014-06-10 15:52 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #8815.

#2 - 2014-06-10 15:52 - Toshi MARUYAMA

- Is duplicate of Defect #8815: Invalid search results with paging added

#3 - 2014-12-12 21:56 - Jean-Philippe Lang

- Related to Feature #18631: Better search results pagination added

#4 - 2014-12-12 21:57 - Jean-Philippe Lang

- Related to deleted (Feature #18631: Better search results pagination)
